Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand.rmi
Class RMITransportManager

`java.lang.Object
oracle.toplink.remotecommand.TransportManager
oracle.toplink.remotecommand.rmi.RMITransportManager`

public class RMITransportManager
extends TransportManager

Purpose: Provide an RMI transport implementation for RCM.

Description: This class manages the RMI remote connections to other RCM service instances and posts the local RMI connection to this service instance in a name service so that other RCM service instances can connect to it.

Since:
  OracleAS TopLink 10g (9.0.4)

Field Summary
`boolean` | `isRMIOverIIOP` Determines whether RMI over IIOP or not

Fields inherited from class oracle.toplink.remotecommand.TransportManager
`DEFAULT_CONTEXT_FACTORY, DEFAULT_DEDICATED_CONNECTION_KEY, DEFAULT_DEDICATED_CONNECTION_VALUE, DEFAULT_IIOP_URL_PORT, DEFAULT_IIOP_URL_PROTOCOL, DEFAULT_NAMING_SERVICE, DEFAULT_REMOVE_CONNECTION_ON_ERROR_MODE, DEFAULT_URL_PORT, DEFAULT_URL_PROTOCOL, DEFAULT_USER_NAME, JNDI_NAMING_SERVICE, REGISTRY_NAMING_SERVICE`

Constructor Summary
`RMITransportManager(RemoteCommandManager rcm)`

Method Summary
`void` | `removeLocalConnection()` ADVANCED: Remove the local connection from remote accesses.

Methods inherited from class oracle.toplink.remotecommand.TransportManager
`createDiscoveryManager, getInitialContextFactoryName, getLocalContextProperties, getNamingServiceType, getPassword, getRemoteContextProperties, getUserName, setEncryptedPassword, setInitialContextFactoryName, setLocalContextProperties, setNamingServiceType, setPassword, setRemoteContextProperties, setShouldRemoveConnectionOnError, setUserName, shouldRemoveConnectionOnError`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isRMIOverIIOP

    public boolean isRMIOverIIOP

  Determines whether RMI over IIOP or not

Constructor Detail

### RMITransportManager

    public RMITransportManager(RemoteCommandManager rcm)

Method Detail

### removeLocalConnection

    public void removeLocalConnection()

  ADVANCED: Remove the local connection from remote accesses. The implementation removes the local connection from JNDI or RMI registry and set it to null. This method is invoked internally by TopLink when the RCM is shutdown and should not be invoked by user's application.
  Specified by:
    `removeLocalConnection` in class `TransportManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD